
Ryzom - Bug # 1086

Status: Closed Priority: High
Author: Dread7 Category: Documentation
Created: 08/31/2010 Assignee: vl
Updated: 09/15/2010 Due date:
Subject: Broken Repository web link
Description

http://dev.ryzom.com/projects/ryzom/repository is broken.

History
#1 - 08/31/2010 08:59 am - kervala

Only vl can fix this and he is on holidays.

You can use http://ryzom.hg.sourceforge.net/hgweb/ryzom/ryzom/summary for the moment :)

#2 - 08/31/2010 06:48 pm - kervala

The bug is reported there: http://www.redmine.org/issues/5608#note-3

And a quick fix has been proposed:

lib/redmine/i18n.rb

line 40:
-      Setting.date_format.blank? ? ::I18n.l(date.to_date) : date.strftime(Setting.date_format)
+      Setting.date_format.blank? ? ::I18n.l(date.to_date, :count => date.day) : date.strftime(Setting.date_format)

line 48:
-      Setting.time_format.blank? ? ::I18n.l(local, :format => (include_date ? :default : :time)) : 
+      Setting.time_format.blank? ? ::I18n.l(local, :count => local.day, :format => (include_date ? :default : :time)) : 

This bug will be fixed in Redmine repository :)

#3 - 08/31/2010 06:50 pm - kervala
- Status changed from New to Validated
- Priority changed from Normal to High

#4 - 09/15/2010 09:47 am - kervala
- Status changed from Validated to Resolved
- Assignee set to vl
- Target version set to Version 0.8.0
- % Done changed from 0 to 100

#5 - 09/15/2010 10:01 am - kervala
- Status changed from Resolved to Closed
